kodi (2:17.1+dfsg1-3) unstable; urgency=medium

  * Fix zip file directory traversal vulnerability (CVE-2017-8314)
    (Closes: #863230)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 27 May 2017 00:50:34 +0200

kodi (2:17.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Apr 2017 23:49:12 +0200

kodi (2:17.1+dfsg1-1) experimental; urgency=medium

  * Depend on fonts-noto-mono package which contains NotoMono-Regular.ttf
    (Closes: #856668)
  * Fix FTBFS on alpha by not using Intel assempler code (Closes: #856815)
  * Imported Upstream version 17.1+dfsg1
    See: https://kodi.tv/kodi-v17-1-krypton
  * Update my Uploader email address to my Ubuntu one
  * Fix extract-components target in d/rules

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 02 Apr 2017 11:01:21 +0200

kodi (2:17.1~rc1+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.1~rc1+dfsg1
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 28 Feb 2017 02:21:54 +0100

kodi (2:17.0+dfsg1-3) unstable; urgency=medium

  * Ship disabled systemd service file (Closes: #854985, #801886)
  * Use systemd service file recommended on upstream wiki

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Feb 2017 01:28:43 +0100

kodi (2:17.0+dfsg1-2) unstable; urgency=medium

  * Apply patches to additional tarballs using quilt series file
    (Closes: #854463)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 09 Feb 2017 10:25:18 +0100

kodi (2:17.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.0+dfsg1
    See: https://kodi.tv/kodi17/

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 06 Feb 2017 19:33:08 +0100

kodi (2:17.0~rc4+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.0~rc4+dfsg1
    See: https://kodi.tv/kodi-v17-0-krypton-release-candidate-4/
  * Refresh patches
  * Remove spaces around '=' in service file.
    Also convert service file to use Unix line ending

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 05 Feb 2017 01:27:27 +0100

kodi (2:17.0~rc3+dfsg1-2) unstable; urgency=medium

  * Bump debhelper compat level to 10.
    Remove --parallel and --with autoreconf since those are now defaults
  * Build-depend on libcec-dev >= 4~ (Closes: #852216)
  * Fix make clean in debian/rules
  * Use real dlopen() for opening libdvdcss (Closes: #784578)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 21:23:22 +0100

kodi (2:17.0~rc3+dfsg1-1) unstable; urgency=medium

  * Make default lirc device match lirc package's default (Closes: #850467)
  * Stop passing ./configure flags which are not supported anymore
  * Update fonts and font dependencies
  * Imported Upstream version 17.0~rc3+dfsg1
    See: https://kodi.tv/kodi-v17-0-krypton-release-candidate-3/
  * Refresh patches
  * Fix FTBFS due to missing AEDefines_override.h

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 16 Jan 2017 21:41:03 +0100

kodi (2:17.0~rc2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 17.0~beta7+dfsg1
    See: https://kodi.tv/kodi-v17-krypton-the-last-beta-7/
  * Refresh patches
  * Use NotoSans-Regular font from fonts-noto-hinted package
  * Imported Upstream version 17.0~rc2+dfsg1
    See: https://kodi.tv/kodi-v17-krypton-release-candidate-1/
  * Fix positioning of the "from debian" text next to KODI logo

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Jan 2017 18:39:14 +0100

kodi (2:17.0~beta6+dfsg1-1) unstable; urgency=medium

  * Drop new built-in webinterface addon from beta 6.
    The addon contains many generated files without source. It will
    be packaged separately.
  * Imported Upstream version 17.0~beta6+dfsg1
  * Refresh patches
  * Revert the webinterface.default addon to old web interface from beta5
  * Update lintian override about MediaLibrary.js to match new packaging
  * Revert to using libcec 3.1 until libcec4 becomes available in Debian

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 22 Dec 2016 02:00:46 +0100

kodi (2:17.0~beta5+dfsg1-4) unstable; urgency=medium

  * Stop using different epoch for transitional xbmc packages
  * Use 2: epoch for kodi packages (Closes: #844541)
  * Handle original tarballs properly when epoch is present in the package version

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 17 Nov 2016 15:42:51 +0100

kodi (17.0~beta5+dfsg1-3) unstable; urgency=medium

  * Generate addon API versions for architecture-specific builds only

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Nov 2016 16:37:40 +0100

kodi (17.0~beta5+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Stop providing xbmc-eventclients-j2me.
    This was a transitional package originally, but Kodi stopped shipping
    J2ME client. (Closes: #843169)
  * Transition to depending on fonts-anonymous-pro.
    Also accept ttf-anonymous-pro instead to support older releases
  * Generate additional original source tarball names from current version
  * Use more absolute paths in d/rules

  [ Tobias Grimm ]
  * Updated tarball versions in `debian/rules extract-components`
  * Provide virtual packages for addon APIs and install a debhelper addon
    to enable KODI addon packages to depend on these virtual packages.
  * Standards-Version: 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Nov 2016 11:32:17 +0100

kodi (17.0~beta5+dfsg1-1) unstable; urgency=medium

  [ Lukas Rechberger ]
  * Make kodi depend on kodi-data of same version (Closes: #841937)

  [ Balint Reczey ]
  * Fix Kodi's FFmpeg API usage for allocating and freeing AVFrame
    (Closes: #831591)
  * New upstream beta release 17.0 Beta 5
    See: https://kodi.tv/kodi-v17-krypton-beta-5/
  * Refresh patches
  * Run tests only for architecture dependent package builds
  * Use Anonymous Pro font from ttf-anonymous-pro instead of from texlive-fonts-extra
    (Closes: #842717)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Nov 2016 21:53:39 +0100

kodi (17.0~beta4+dfsg1-2) experimental; urgency=medium

  * Generate version of xbmc transitional packages dynamically
    (Closes: #842141)
  * Check installed headers only during architecture-specific builds

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 26 Oct 2016 13:37:42 +0200

kodi (17.0~beta4+dfsg1-1) experimental; urgency=medium

  * Ship additional headers referenced from already shipped ones
  * Ensure all needed development headers are installed
  * Use patches from libdvdread package
  * Build-depend on libssh-gcrypt-dev instead of libssh-dev to avoid
    transitive linking to libssl
  * Build-depend on libgcrypt-dev instead of libssl-dev
  * New upstream beta release 17.0 Beta 4
    See: https://kodi.tv/kodi-v17-krypton-beta-4/
  * Refresh patches
  * Stop building with OpenSSL

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 10 Oct 2016 23:00:38 +0200

kodi (17.0~beta3+dfsg1-1) experimental; urgency=medium

  * New upstream beta release 17.0 Beta 3
    See: https://kodi.tv/kodi-v17-krypton-beta-3/
  * Refresh patches
  * Use OpenGL ES and no VAAPI/VDAPU on arm64.
    This fixes FTBFS on arm64
  * Enable Google Tests on armel and mips, too.
    The test results don't make the build fail anyway
  * Build-depend on valgrind on amd64 and i386.
    This makes tests use Valgrind on those popular and fast architectures
  * Fix FTBFS on armel/armhf
  * Properly set hardening options
  * Re-enable TestSortUtils test
  * Fix building tests
  * Build-depend on default-libmysqlclient-dev to keep Lintian happy
  * Adjust "from debian" logo placement

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Oct 2016 10:27:11 +0200

kodi (17.0~beta2+dfsg1-1) experimental; urgency=medium

  * New upstream beta release 17.0 Beta 2
    See: https://kodi.tv/kodi-v17-krypton-beta-2/
  * Drop build-depenency on libjasper-dev (Closes: 818201)
  * Adjust packaging to new skin's font requirements.
    Add dependency on fonts-lato and texlive-fonts-extra, drop
    dependency on fonts-roboto-hinted, make symlinks to new
    fonts instead of shipping them.
  * Add transitional dummy packages from xbmc
  * Drop obsoleted dependencies and patches
  * Silence Lintian complaining for missing misc:Depends of transitional
    packages
  * Ignore failed clean of components without Lintian noticing
  * Build-depend on liblcms2-dev for Little CMS support

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Sep 2016 14:57:31 +0200

kodi (17.0~alpha3+dfsg1-1) experimental; urgency=medium

  [ Lukas Rechberger ]
  * Skip timestamps to make build reproducible (Closes: #825285)

  [ Balint Reczey ]
  * Build depend on groovy instead of groovy2 (Closes: #824187)
  * Recommend kodi-visualization-spectrum
  * New upstream alpha release 17.0 Alpha 2
    See: https://kodi.tv/kodi-v17-krypton-alpha-2/
  * Stop excluding paths from orig tarball which are already removed
  * Refresh patches and changed paths in d/rules
  * Fix FTBFS due to format string warnings
  * Disable building DVDCSS
  * Build-depend on libbluray-dev (>= 0.7.0) to match version required by ./configure
  * Derive embedded libdvdnav and libdvdread from additional original tarballs
  * Fix building with Google Test
  * Ignore failing tests but run them with Valgrind when it is available
  * Update d/copyright
  * Add information about multiple orig tarballs
  * New upstream alpha release 17.0 Alpha 3
    See: https://kodi.tv/kodi-v17-krypton-alpha-3/
  * Refresh patches
  * Really revert patches to embedded dvdnav and dvdread copies in clean target
  * Drop J2ME client support in sync with upstream
  * Don't crash on missing version checker addon
  * Position "from Debian" image better on new skin
  * Drop symlinks to fonts used in the replaced skin

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 05 Aug 2016 01:23:53 +0200

kodi (16.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 16.1
    See https://kodi.tv/kodi-16-1-jarvis-mark-xvi

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 24 Apr 2016 15:51:42 +0200

kodi (16.1~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream release candidate 16.1 RC2
    See: https://kodi.tv/kodi-16-1-jarvis-release-candidate-2/
  * Fix GetKernelBitness() on s390x to fix FTBFS on that arch
  * Skip tests on armel and mips to prevent FTBFS
  * Stop excluding files from upstream tarball which are already removed
    upstream
  * Don't modify GetVersionShort(), return package version in GetVersion()
    instead

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 29 Mar 2016 10:52:16 +0200

kodi (16.0+dfsg1-3) unstable; urgency=medium

  * Fix system info for s390x and arm64 architectures
  * Skip tests failing on buildds to fix FTBFS on most ports
  * Skip sorting test failing in the test code on armhf and armel

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 25 Mar 2016 10:49:06 +0100

kodi (16.0+dfsg1-2) unstable; urgency=medium

  * Enable Google Tests at build-time
  * Fix user agent string and related test
  * Disable bindnow hardening option because it breaks playing DVDs

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 15 Mar 2016 15:08:54 +0100

kodi (16.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 16.0
    See https://kodi.tv/kodi-16-0-jarvis-mark-xvi/
  * Refresh patches
  * Change build-dependency on libcec-platform-dev to libp8-platform-dev.
    The library has been renamed
  * Build-depend on libcec-dev (>= 3.1) which is built with p8-platform
  * Stop shipping menu file
  * Override false positive lintian warning about missing JavaScript source

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 22 Feb 2016 23:08:18 +0100

kodi (16.0~rc3+dfsg2-1) experimental; urgency=medium

  * New upstream release candidate 16.0 RC3
    (Closes: #792299) (CVE-2015-3885)
    See http://kodi.tv/kodi-16-0-jarvis-release-candidate-3/
  * Refresh patches
  * Don't use libcadec, wait for the codec to be included in FFmpeg instead
  * Drop libhdhomerun-dev build dependency
  * Add libcrossguid-dev and uuid-dev as build-dependencies
  * Drop workarounds for screensavers dropped by upstream
  * Use hinted Roboto fonts adapting to their new location in filesystem
  * Enable PIE
  * Make C-Pluff build with PIC only enabling PIE-enabled build to succeed
  * Update debian/copyright for 16.0 RC3 changes

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 13 Feb 2016 22:53:08 +0100

kodi (15.2+dfsg1-3) unstable; urgency=medium

  * Disable PIE due to build failure on amd64

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 25 Jan 2016 10:35:02 +0100

kodi (15.2+dfsg1-2) unstable; urgency=medium

  * Fix 03-privacy.patch to disable rss feed
  * Disable debugging by default (Closes: #777041)
  * Build-depend on fonts-droid-fallback instead of obsoleted fonts-droid
    (Closes: #804695)
  * Enable all hardening options during build
  * Migrate to libpng-dev build-dependency (Closes: #810186)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 24 Jan 2016 10:55:08 +0100

kodi (15.2+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Skip handling migration to automatic debug packages when it is not supported by debhelper
  * Update debian/watch to not skip part of oddly named versions
  * New upstream release 15.2
    See http://kodi.tv/kodi-15-2-isengard-final-release/

  [ Andreas Cadhalpun ]
  * Fix FTBFS with upcoming FFmpeg 2.9 release (Closes: #803831)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Nov 2015 18:42:22 +0400

kodi (15.2~rc3+dfsg1-1) unstable; urgency=medium

  * New upstream release candidate 15.2 RC3
    See http://kodi.tv/kodi-15-2-isengard-release-candidate-3

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 06 Oct 2015 12:06:19 +0200

kodi (15.2~rc1+dfsg1-2) unstable; urgency=medium

  * Make Breaks/Replaces relation to xbmc packages versioned.
    This lets dummy transition-only xbmc packages coexist with kodi.
    Also remove Provides/Replaces relations remaining from xbmc packaging.
    (Closes: #799823)
  * Split architecture-indepedent data to kodi-data.
    Only the kodi and kodi-standalone binaries are kept in kodi package which is
    now Architecture:any since it contains the architecture-specific path to
    kodi.bin. (Closes: #799979)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 26 Sep 2015 15:13:36 +0200

kodi (15.2~rc1+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Really fix s390x build
  * Call ./configure through dh_auto_configure
  * Convert to package to use multiarch library dirs
  * Stop shipping kodi-dbg and disable debugging during build.
    This is a preparation for the automatically generated debug packages
    and switching to FFmpeg resulted less reported crashes to BTS.
    Kodi-dbg packages used quite a big space on mirrors and weren't used
    frequently.
  * Make kodi-addons-dev Replaces/Breaks: kodi-bin (<= 15.1+dfsg1-3)
    This is needed to manage moving .cmake files to to kodi-addons-dev.
  * Migrate from kodi-dbg to ddebs properly.
    Thanks to Mattia Rizzolo
  * Make kodi-addons-dev Architecture: any
  * Simplify debian/rules using exporting DH_OPTIONS
  * New upstream release candidate 15.2 RC1
    See http://kodi.tv/kodi-15-2-isengard-release-candidate-2/
  * Refresh patches

  [ Tobias Grimm ]
  * Fixed file name of patches/09-use-correct-ftgl.h
  * Install *.cmake files in kodi-addons-dev

  [ Mattia Rizzolo ]
  * debian/rules: correct use of `echo`

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 21 Sep 2015 10:38:00 +0200

kodi (15.1+dfsg1-3) unstable; urgency=medium

  * Make configure more verbose when building on architecture not supported
    by upstream
  * Fix FTBFS on aarch64 (Closes: #796532)
  * Don't use NEON on arm/armhf. (Closes: #797204)
  * Fix build on s390x

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 30 Aug 2015 10:20:07 +0200

kodi (15.1+dfsg1-2) unstable; urgency=medium

  * Don't stop configuration for unknown architectures
  * Drop unknown ./configure options
  * Continue configuration for unknown arches even further (Closes: #790635)
  * Link with libatomic to fix FTBFS on powerpc and some other architectures
  * Fix broken symlinks to DejaVuSans font files

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 18 Aug 2015 23:51:14 +0200

kodi (15.1+dfsg1-1) unstable; urgency=medium

  * New upstream release 15.0
    See http://www.kodi.tv/kodi-15-0-isengard-one-release-to-rule-them-all/
  * Depend on libav.*-dev provided by src:ffmpeg
  * Recommend udisks2 instead of udisks.
    Udisks has been removed from unstable but support for udisks2 is not
    implemented yet.
  * Ship patch helping Jessie backports
  * Refresh patches
  * Eliminate __DATE__ macros from source to make build more reproducible
  * Build-depend on libsdl2.*-dev instead of libsdl.*-dev
  * Build-depend on libgif-dev
  * Drop obsoleted fix of installed header's include paths
  * Refresh include file list included by kodi-addons-dev
  * Build depend on libcec (>= 3)
  * Build-depend on groovy2 instead of groovy
  * Sort build dependencies
  * Fix packaging repository URL
  * Remove removed files from debian/copyright
  * Fix filenames with spaces in debian/copyright
  * Ship TexturePacker in kodi-addons-dev in /usr/lib/kodi
  * Build depend on libcec-platform-dev
  * Stop using embedded gnulib modules in rsxs screensaver (Closes: #795813)
  * Add missing copyright paragraphs to d/copyright
  * Stop marking files as excluded which are removed from upstream tarball
    already
  * Bump standards version to 3.9.6
  * New upstream release 15.1
    See http://kodi.tv/kodi-15-1-isengard-maintenance-release/
  * Move TexturePacker to kodi-bin
  * Stop building TexturePacker statically

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 18 Aug 2015 14:16:59 +0200

kodi (14.2+dfsg1-2) unstable; urgency=medium

  * Recommend udisks (Closes: #787293)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 04 Jun 2015 09:39:30 +0200

kodi (14.2+dfsg1-1) experimental; urgency=medium

  * Fix addon shared library naming on MIPS
  * Drop non-machine-readable parts of debian/copyright
  * Generate machine-readable debian/copyright for all files
  * Clean up generated debian/copyright
  * Remove non-free files in d/copyright
  * Fix debian/watch file
  * Update debian/copyright with new removals
  * Drop get-orig-source target from d/rules.
    Use uscan for generating repacked original tarball.
  * Imported Upstream version 14.1+dfsg1
    http://kodi.tv/kodi-14-1-helix-bugfix-release
  * Copyright updates
  * Use avformat_flush(), it is now exported by FFmpeg
  * Stop using files omitted from DFSG-free tarballs
  * Sort filenames omitted from original tarball
  * Omit embedded Boost header from original tarball
  * Download original tarball from GitHub
  * Imported Upstream version 14.2+dfsg1
    http://kodi.tv/kodi-14-2-helix-the-final-translation

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Jan 2015 00:30:36 +0100

kodi (14.0+dfsg1-1) experimental; urgency=medium

  * New upstream release 14.0
    See http://kodi.tv/kodi-14-0-helix-unwinds
  * Refresh patches
  * Generate "from Debian" logo from SVG

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 02 Jan 2015 13:19:52 +0100

kodi (14.0~beta1+dfsg1-1) experimental; urgency=medium

  * First packaged Kodi version based on xbmc 2:13.2+dfsg1-4
    See http://kodi.tv/introducing-kodi-14 for the rationale behind the
    name change (Closes: #767180)
  * Use packaged FFmpeg
  * Stop using internal ffmpeg functions
  * Build-depend on libcec-dev >= 2.2
  * Add upstream patches for fixing suspend and adding MIPS support

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 11:14:40 +0100
